using System;

internal sealed class Delegate480 : MulticastDelegate
{
	public extern object Invoke(object object_0);

	public static object smethod_0(object object_0, Delegate480 delegate480_1)
	{
		return delegate480_1(object_0);
	}

	public extern Delegate480(object object_0, IntPtr intptr_0);

	static Delegate480()
	{
		Class10.smethod_13(typeof(Delegate480).TypeHandle);
	}

	internal static Delegate480 delegate480_0;
}
